Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.event
Class RemotePropertyChangeEvent

    java.lang.Object
      java.util.EventObject
          net.jini.core.event.RemoteEvent
              org.jini.rio.event.RemoteServiceEvent
                  org.jini.rio.event.RemotePropertyChangeEvent

All Implemented Interfaces:
  Serializable

    public class RemotePropertyChangeEvent

extends RemoteServiceEvent

The RemotePropertyChangeEvent wraps a PropertyChangeEvent giving capabilities for the remote notification of PropertyChangeEvent

See Also:
  Serialized Form

Field Summary
`PropertyChangeEvent` | `event`
`static long` | `ID` A unique id number for the hello event

Fields inherited from class net.jini.core.event.RemoteEvent
`eventID, handback, seqNum, source`

Constructor Summary
`RemotePropertyChangeEvent(PropertyChangeEvent event)` Creates a new RemotePropertyChangeEvent

Method Summary
`PropertyChangeEvent` | `getEvent()` Getter for property event.

Methods inherited from class org.jini.rio.event.RemoteServiceEvent
`setEventID, setHandback, setSequenceNumber`

Methods inherited from class net.jini.core.event.RemoteEvent
`getID, getRegistrationObject, getSequenceNumber`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ID

    public static final long ID

  A unique id number for the hello event

  See Also:
    Constant Field Values

### event

    public PropertyChangeEvent event

Constructor Detail

### RemotePropertyChangeEvent

    public RemotePropertyChangeEvent(PropertyChangeEvent event)

  Creates a new RemotePropertyChangeEvent

  Parameters:
    `event` - The PropertyChangeEvent

Method Detail

### getEvent

    public PropertyChangeEvent getEvent()

  Getter for property event.

  Returns:
    Value of property event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.